# Interface methods for submodule: SparseFieldLayer
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ObjectProxy as _ObjectProxy


# Interface methods for class: SparseFieldLayer
class SparseFieldLayerProxy(_ObjectProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def Front(self):
		""""""
		...

	def PopFront(self) -> None:
		""""""
		...

	def PushFront(self, n) -> None:
		""""""
		...

	def Unlink(self, n) -> None:
		""""""
		...

	def Empty(self) -> bool:
		""""""
		...

	def Size(self) -> int:
		""""""
		...

	def SplitRegions(self, num: int):
		""""""
		...

